{-
   Copyright 2007 Dino Morelli

   This file is part of storylen

   storylen is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   storylen is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with storylen; if not, write to the Free Software
   Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  
   02110-1301  USA
-}

module RangedInt
   where

import System.Random


newtype RangedInt = RangedInt { fromRangedInt :: Int }
   deriving Show

instance Random RangedInt where
   --randomR :: RandomGen g => (a, a) -> g -> (a, g)
   randomR (RangedInt l, RangedInt h) g1 = (RangedInt v, g2)
      where (v, g2) = randomR (l, h) g1
   --random :: RandomGen g => g -> (a, g)
   random g1 = (RangedInt v, g2)
      where (v, g2) = random g1
